Bug 249957 - [mmconf] 2.6.22.1-33 hangs just before "Red Hat Nash" starts
[mmconf] 2.6.22.1-33 hangs just before "Red Hat Nash" starts
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
athlon Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 11:35 EDT by Ken Barber
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 20:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Barber 2007-07-28 11:35:13 EDT
Description of problem:
Kernel hangs on boot at place where "Red Hat Nash" would normally display.

Version-Release number of selected component (if applicable):
2.6.22.1-33.fc7

How reproducible:
always

Steps to Reproduce:
1.  While running 2.6.21-1.3228.fc7, issue 'yum update' and allow kernel to be
updated
2.  After successful update, reboot
3.
  
Actual results:
root(hd0,1)
 Filesystem type is ext2fs, partition type 0x83
kernel /vmlinuz-2.6.22.1-33.fc7 ro root=LABEL=/ rhgb quiet
   [Linux-bzimage, setup=0x1e00, size-0x1cddc87
initrd /initrd-2.6.22.1-33.fc7.img
   [Linux-initrd @ 0x1fbb7000, 0x3187c3 bytes]


.
Decompressing Linux...done.
Booting the kernel.


(flashing cursor -- fans go to full speed after a few seconds)

Expected results:
Red Hat Nash version xxxxxxx starting

Additional info:
Kernel 2.6.22.1-27 gets to the "Red Hat Nash" line and then produces a "Kernel
panic - not syncing: Attempted to kill init!" message.

Something about this kernel doesn't like something about my hardware.  Please
let me know what additional info you need regarding same.

Thanks
Comment 1 Chuck Ebbert 2007-08-22 16:57:00 EDT
Some things to try:

first, update to 2.6.22.1-41, but remove the broken kernel first:

  yum remove kernel-2.6.22.1-27.fc7
  yum update kernel

second, try kernel options alone and in combination:

  pci=nomsi,nommconf
  nohz=off
  maxcpus=1
Comment 2 Ken Barber 2007-08-24 14:10:14 EDT
The option that makes the difference is:

pci=nommconf

None of the others have any effect.

Is this The Fix, or is this a troubleshooting step?  Do you now need info 
about my PCI bridge/bus/devices?

Also, does this have something to do with new functionality introduced into 
2.6.22?  I'm having a similar problem with kernel 2.6.22 on a VMWare guest at 
work that is running FC6.  Haven't filed a bugzilla for it yet.  
Comment 3 Chuck Ebbert 2007-08-28 15:05:48 EDT
Can you post the output of 'lspci -n' and 'lspci -v', and Motherboard/BIOS
information? Is a BIOS update available, and if so does it help?
Comment 4 Christopher Brown 2007-09-21 08:18:24 EDT
Hello Ken,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? If so, could you attach
the output Chuck requested so that the issue can be investigated further.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 5 Chuck Ebbert 2007-09-21 10:50:40 EDT
(In reply to comment #4)
> If the problem no longer exists then please close this bug or I'll do so in a
> few days if there is no additional information lodged.

Please don't close any bugs marked [mmconf] or [msi] -- I'm collecting these
since they can all be fixed by adding quirks for this behavior.
Comment 6 Christopher Brown 2007-09-21 18:57:33 EDT
Okay Chuck, added this to the wiki page as well.

Cheers
Chris
Comment 7 Ken Barber 2007-09-21 19:25:11 EDT
Sorry for the lack of info.  I went on vacation and then promptly forgot that 
I had work to do on this bug.  I'll get to it this weekend.
Comment 8 Ken Barber 2007-10-11 20:39:48 EDT
I'm embarrassed to say that I must close this bug because I can't get you the 
info you require.

I run a dual-boot Fedora/SuSE system here and have for years.  But the latest 
SuSE (10.3) has trashed my grub in some way that causes kernel panics when I 
try to boot into Fedora.

All of my troubleshooting steps have failed.  So I'm going to admit defeat at 
the hands of The Gecko (for now), and won't keep this bug hanging any longer.

Note You need to log in before you can comment on or make changes to this bug.